#include <iostream>

using namespace std;

int main()
{
    int a1, a2;
    char slova[3];
    
    cin>>slova;
    cin>>a1>>a2;

    if(a1 > a2 + 1 || a1 + 1 < a2)
    {   
        cout<<"nemoguce";
        return 0;
    }
        
    int i = 0;
    
    if(a1 == a2)
    {
        while(i < a1)
        {
            cout<<slova[0]<<slova[1];
            i++;
        }
        return 0;
    }
    else if(a1 > a2)
    {
        cout<<slova[0];
        while(i < a2)
        {
            cout<<slova[1]<<slova[0];
            i++;
        }
        return 0;
        
    }
    else if(a2 > a1)
    {
        cout<<slova[1];
        while(i < a1)
        {
            cout<<slova[0]<<slova[1];
            i++;
        }
        return 0;
        
    }
    return 0;
}